<?xml version="1.0" encoding="utf-8"?>
<project name="Xemelios-Imports" package="fr.gouv.finances.cp.xemelios.batch.imports.utils" output-dir="/home/chm/devel/XEMELIOS-NB/XEMELIOS/src/batch/java" driver="com.mysql.jdbc.Driver" url="jdbc:mysql://localhost/xemelios" user="xemelios" password="xemelios" pk-prefix="" pk-ext="PK" full-prefix="" full-ext="Full" wrapper-prefix="" wrapper-ext="Wrapper" generator.class="com.labodev.tools.vogen.generator.XslGenerator">
 <not-null-msg><![CDATA[should not be null]]></not-null-msg>
 <too-long-msg-prfx><![CDATA[null]]></too-long-msg-prfx>
 <too-long-msg-sufx><![CDATA[is tooo long]]></too-long-msg-sufx>
 <types-mapping>
  <type-mapping sql-type="varchar" java-type="java.lang.String"/>
  <type-mapping sql-type="longtext" java-type="java.lang.String"/>
  <type-mapping sql-type="int" java-type="java.lang.Integer"/>
  <type-mapping sql-type="datetime" java-type="java.sql.Timestamp"/></types-mapping>
 <param name="xsl.file.name" value="jar:/com/axyus/tools/vogen/generator/jdbcUtilsGenerator.xsl"/>
 <table name="XEM_IMPORTS" pk-class-name="ImportVOPK" full-class-name="ImportVOFull" wrapper-class-name="ImportVOWrapper">
  <column sql-name="UTI_LOGIN" java-name="utiLogin" sql-type="varchar" java-type="java.lang.String" sql-size="50" sql-precision="0" nullable="false" primary-key="false" generate-controls="true" column-id="UTI_LOGIN" auto-increment="false"/>
  <column sql-name="IMPORT_ID" java-name="importId" sql-type="varchar" java-type="java.lang.String" sql-size="200" sql-precision="0" nullable="false" primary-key="true" generate-controls="true" column-id="IMPORT_ID" auto-increment="false"/>
  <column sql-name="FILE_NAME" java-name="fileName" sql-type="varchar" java-type="java.lang.String" sql-size="200" sql-precision="0" nullable="false" primary-key="false" generate-controls="true" column-id="FILE_NAME" auto-increment="false"/>
  <column sql-name="FILE_TYPE" java-name="fileType" sql-type="varchar" java-type="java.lang.String" sql-size="200" sql-precision="0" nullable="false" primary-key="false" generate-controls="true" column-id="FILE_TYPE" auto-increment="false"/>
  <column sql-name="SUBMIT_DATE" java-name="submitDate" sql-type="datetime" java-type="java.sql.Timestamp" sql-size="0" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="SUBMIT_DATE" auto-increment="false"/>
  <column sql-name="END_DATE" java-name="endDate" sql-type="datetime" java-type="java.sql.Timestamp" sql-size="0" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="END_DATE" auto-increment="false"/>
  <column sql-name="STATUS" java-name="status" sql-type="int" java-type="java.lang.Integer" sql-size="10" sql-precision="0" nullable="false" primary-key="false" generate-controls="true" column-id="STATUS" auto-increment="false"/>
  <column sql-name="COLLECTIVITE" java-name="collectivite" sql-type="varchar" java-type="java.lang.String" sql-size="15" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="COLLECTIVITE" auto-increment="false"/>
  <column sql-name="BUDGET" java-name="budget" sql-type="varchar" java-type="java.lang.String" sql-size="24" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="BUDGET" auto-increment="false"/>
  <column sql-name="COLLECTIVITE_LIB" java-name="collectiviteLib" sql-type="varchar" java-type="java.lang.String" sql-size="250" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="COLLECTIVITE_LIB" auto-increment="false"/>
  <column sql-name="BUDGET_LIB" java-name="budgetLib" sql-type="varchar" java-type="java.lang.String" sql-size="250" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="BUDGET_LIB" auto-increment="false"/>
  <column sql-name="ERROR_MESSAGE" java-name="errorMessage" sql-type="longtext" java-type="java.lang.String" sql-size="2147483647" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="ERROR_MESSAGE" auto-increment="false"/></table>
 <table name="XEM_IMPORTS_FILES" pk-class-name="XemImportsFilesVOPK" full-class-name="XemImportsFilesVOFull" wrapper-class-name="XemImportsFilesVOWrapper">
  <column sql-name="IMPORT_ID" java-name="importId" sql-type="varchar" java-type="java.lang.String" sql-size="200" sql-precision="0" nullable="false" primary-key="true" generate-controls="true" column-id="IMPORT_ID" auto-increment="false"/>
  <column sql-name="SUB_FILE_NAME" java-name="subFileName" sql-type="longtext" java-type="java.lang.String" sql-size="2147483647" sql-precision="0" nullable="false" primary-key="true" generate-controls="true" column-id="SUB_FILE_NAME" auto-increment="false"/>
  <column sql-name="FILE_TYPE" java-name="fileType" sql-type="varchar" java-type="java.lang.String" sql-size="200" sql-precision="0" nullable="false" primary-key="false" generate-controls="true" column-id="FILE_TYPE" auto-increment="false"/>
  <column sql-name="STATUS" java-name="status" sql-type="int" java-type="java.lang.Integer" sql-size="10" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="STATUS" auto-increment="false"/>
  <column sql-name="COLLECTIVITE" java-name="collectivite" sql-type="varchar" java-type="java.lang.String" sql-size="15" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="COLLECTIVITE" auto-increment="false"/>
  <column sql-name="BUDGET" java-name="budget" sql-type="varchar" java-type="java.lang.String" sql-size="24" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="BUDGET" auto-increment="false"/>
  <column sql-name="COLLECTIVITE_LIB" java-name="collectiviteLib" sql-type="varchar" java-type="java.lang.String" sql-size="250" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="COLLECTIVITE_LIB" auto-increment="false"/>
  <column sql-name="BUDGET_LIB" java-name="budgetLib" sql-type="varchar" java-type="java.lang.String" sql-size="250" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="BUDGET_LIB" auto-increment="false"/>
  <column sql-name="ERROR_MESSAGE" java-name="errorMessage" sql-type="longtext" java-type="java.lang.String" sql-size="2147483647" sql-precision="0" nullable="true" primary-key="false" generate-controls="true" column-id="ERROR_MESSAGE" auto-increment="false"/>
  <for-list-class class-name="XemImportsFilesFL" function-name="getChildren">
   <column column-ref="IMPORT_ID"/>
   <column column-ref="SUB_FILE_NAME"/></for-list-class>
 </table>
</project>
